package fr.inria.phoenix.diasuite.framework.context.battery;

import java.io.Serializable;

/**
 * An object to store a value published by the context <code>Battery</code>.
 * <p>
 * Detect non-urgent events concerning a battery going low
 *
 * <pre>
 * context Battery as String {
 * 	when provided batstate from DoorLocker maybe publish;
 * }
 * </pre>
 */
public final class BatteryValue implements Serializable {
    private static final long serialVersionUID = 0;
    
    private java.lang.String value;
    
    /**
     * Get the value of the context <code>Battery</code>
     * 
     * <p>
     * Detect non-urgent events concerning a battery going low
     * 
     * @return the value of the context <code>Battery</code>
     */
    public java.lang.String value() {
        return value;
    }
    
    public BatteryValue(java.lang.String value) {
        this.value = value;
    }
    
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((value == null) ? 0 : value.hashCode());
        return result;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        BatteryValue other = (BatteryValue) obj;
        if (value == null) {
            if (other.value != null)
                return false;
        } else if (!value.equals(other.value))
            return false;
        return true;
    }
}
