package fr.inria.phoenix.diasuite.framework.datatype.event;

import java.io.Serializable;

/**
 * <pre>
 * structure Event {
 * 	event as String;
 * 	timestamp as String;
 * }
 * </pre>
 */
public class Event implements Serializable {
    private static final long serialVersionUID = 0;

    // Code for field event
    private java.lang.String event;
    
    /**
     * Returns the value of the event field.
     * 
     * <pre>
     * event as String
     * </pre>
     * @return the value of event
     */
    public java.lang.String getEvent() {
        return event;
    }
    
    /**
     * Set the value of the event field.
     * 
     * <pre>
     * event as String
     * </pre>
     * @param event the new value of event
     */
    public void setEvent(java.lang.String event) {
        this.event = event;
    }
    // End of code for field event

    // Code for field timestamp
    private java.lang.String timestamp;
    
    /**
     * Returns the value of the timestamp field.
     * 
     * <pre>
     * timestamp as String
     * </pre>
     * @return the value of timestamp
     */
    public java.lang.String getTimestamp() {
        return timestamp;
    }
    
    /**
     * Set the value of the timestamp field.
     * 
     * <pre>
     * timestamp as String
     * </pre>
     * @param timestamp the new value of timestamp
     */
    public void setTimestamp(java.lang.String timestamp) {
        this.timestamp = timestamp;
    }
    // End of code for field timestamp

    public Event() {
    }

    public Event(java.lang.String event,
            java.lang.String timestamp) {
        this.event = event;
        this.timestamp = timestamp;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((event == null) ? 0 : event.hashCode());
        result = prime * result + ((timestamp == null) ? 0 : timestamp.hashCode());
        return result;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Event other = (Event) obj;
        if (event == null) {
            if (other.event != null)
                return false;
        } else if (!event.equals(other.event))
            return false;
        if (timestamp == null) {
            if (other.timestamp != null)
                return false;
        } else if (!timestamp.equals(other.timestamp))
            return false;
        return true;
    }

    @Override
    public String toString() {
        return "Event [" + 
            "event=" + event +", " + 
            "timestamp=" + timestamp +
        "]";
    }
}
