package fr.inria.phoenix.scenario.doorlocks.impl.context;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.context.battery.AbstractBattery;
import fr.inria.phoenix.diasuite.framework.device.doorlocker.BatstateFromDoorLocker;

/* Detect non-urgent events concerning a battery going low.
 * The implementation of the Battery context
 * @see fr.inria.phoenix.diasuite.framework.context.battery.AbstractBattery
 */
public class Battery extends AbstractBattery {
    
    public Battery(ServiceConfiguration serviceConfiguration) {
        super(serviceConfiguration);
    }
    
    /* (non-Javadoc)
     * @see fr.inria.phoenix.diasuite.framework.context.battery.AbstractBattery#onStateFromDoorLocker(StateFromDoorLocker)
     */
    @Override
    protected BatteryValuePublishable onBatstateFromDoorLocker(BatstateFromDoorLocker stateFromDoorLocker) {
    	String level = stateFromDoorLocker.value().getBatteryLevel();
    	if(level.equalsIgnoreCase("low")) { // TODO: check the format of batteryLevel
        	String user = stateFromDoorLocker.sender().user();
        	String location = stateFromDoorLocker.sender().location();
    		return new BatteryValuePublishable("Battery low"+"@"+user+"/"+location,
    				true);    		
    	} else 
    		return new BatteryValuePublishable(null, false);
    }
}
