package fr.inria.phoenix.scenario.doorlocks.impl.controller;

import java.util.ArrayList;
import java.util.List;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.controller.mailnotifier.AbstractMailNotifier;
import fr.inria.phoenix.diasuite.framework.context.battery.BatteryValue;
import fr.inria.phoenix.diasuite.framework.datatype.contact.Contact;
import fr.inria.phoenix.diasuite.framework.datatype.file.File;

/* Send email messages about non-urgent events.
 * The implementation of the MailNotifier context
 * @see fr.inria.phoenix.diasuite.framework.controller.mailnotifier.AbstractMailNotifier
 */
public class MailNotifier extends AbstractMailNotifier {
	List<String> groups = new ArrayList<String>();
	private Contact admin = new Contact("The Boss", "demo1.diasuitebox@gmail.com",
		"nophone", "nomobile", "nourl", groups);
    
    public MailNotifier(ServiceConfiguration serviceConfiguration) {
        super(serviceConfiguration);
    }

    /* (non-Javadoc)
     * @see fr.inria.phoenix.diasuite.framework.controller.mailnotifier.AbstractMailNotifier#onBattery(BatteryValue, DiscoverForBattery)
     */
    @Override
    protected void onBattery(BatteryValue battery, DiscoverForBattery discover) {
    	String content = battery.value();
    	List<File> files = new ArrayList<File>();
    	discover.mailers()
    		.anyOne()
    		.sendMessage(admin, "Battery low",
    			content, files);
    }
}
