package fr.inria.phoenix.scenario.doorlocks.impl.controller;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.controller.smsnotifier.AbstractSmsNotifier;
import fr.inria.phoenix.diasuite.framework.context.alert.AlertValue;
import fr.inria.phoenix.diasuite.framework.datatype.contact.Contact;

/* Send SMS messages about urgent events.
 * The implementation of the SmsNotifier context
 * @see fr.inria.phoenix.diasuite.framework.controller.smsnotifier.AbstractSmsNotifier
 */
public class SmsNotifier extends AbstractSmsNotifier {
    private Contact admin = new Contact("The Boss", "email", "phone", "0654433221",
    		"nourl", null);
	
    public SmsNotifier(ServiceConfiguration serviceConfiguration) {
        super(serviceConfiguration);
    }

    /* (non-Javadoc)
     * @see fr.inria.phoenix.diasuite.framework.controller.smsnotifier.AbstractSmsNotifier#onAlert(AlertValue, DiscoverForAlert)
     */
    @Override
    protected void onAlert(AlertValue alert, DiscoverForAlert discover) {
    	String content = alert.value();
    	discover.sMSSenders().anyOne().sendMessage(admin, "DoorLock Alert",
    			content, null);
    }
}
